## gate.util
Class HashMapLong

    java.lang.Object
      |
      +--gate.util.HashMapLong

public class HashMapLong
extends Object

simple cut-off version of the hashmap with native long's as keys only get,put and isEmpty methods are implemented(). This map is used in very private case in the SimpleSortedSet class. The main purpose is to optimize the speed of the SinglePhaseTransducer.transduce()

Constructor Summary
`HashMapLong()`
`HashMapLong(int initialCapacity)`
`HashMapLong(int initialCapacity, float loadFactor)` the main constructor.

Method Summary
`Object` `get(long key)`
`boolean` `isEmpty()`
`Object` `put(long key, Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashMapLong

    public HashMapLong(int initialCapacity,
                       float loadFactor)

  the main constructor. see the HashMap constructor for description

### HashMapLong

    public HashMapLong(int initialCapacity)

### HashMapLong

    public HashMapLong()

Method Detail

### isEmpty

    public boolean isEmpty()

### get

    public Object get(long key)

### put

    public Object put(long key,
                      Object value)